package view

import fr.louveauAmine.cvApi.dao.PROFILE

data class Profile(
    val name: String,
    val title: String,
    val quote: String,
    val picture: String,
    val email: String?,
    val phone: String?,
    val linkedin: String?,
    val source: String?
)

data class UpdateProfile(
    val name: String,
    val newName: String?,
    val title: String?,
    val quote: String?,
    val picture: String?,
    val email: String?,
    val phone: String?,
    val linkedin: String?,
    val source: String?
)


fun PROFILE.toView(): Profile = Profile(
    name = this.name,
    title = this.title,
    quote = this.quote,
    picture = this.picture,
    email = this.email,
    phone = this.phone,
    linkedin = this.linkedin,
    source = this.source
)

fun Profile.toEntity(): PROFILE = PROFILE(
    name = this.name,
    title = this.title,
    quote = this.quote,
    picture = this.picture,
    email = this.email,
    phone = this.phone,
    linkedin = this.linkedin,
    source = this.source
)