package view

import fr.louveauAmine.cvApi.dao.SIDEPROJECT

data class SideProject(
    val description: String,
    val title: String?,
    val url: String?,
    val category: String
)

data class DeleteSideProject(
    val description: String,
    val category: String
)


fun SIDEPROJECT.toView(): SideProject =
    SideProject(description = this.description, title = this.title, url = this.url, category = this.category)

fun SideProject.toEntity(): SIDEPROJECT = SIDEPROJECT(description = this.description, title = this.title, url = this.url, category = this.category)